import React from "react";
export interface Headers {
    [key: string]: string;
}
interface HeaderStore {
    headers: {
        [path: string]: Headers;
    };
    defaultValues: Headers;
    setHeaders: (h: {
        [path: string]: Headers;
    }) => void;
}
interface Props {
    defaultValues?: Headers;
}
export declare const CustomHeaderProvider: React.FC<Props>;
export declare const useCustomHeaders: () => HeaderStore;
export {};
