"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _AppBar = _interopRequireDefault(require("@material-ui/core/AppBar"));

var _Grid = _interopRequireDefault(require("@material-ui/core/Grid"));

var _Toolbar = _interopRequireDefault(require("@material-ui/core/Toolbar"));

var _Typography = _interopRequireDefault(require("@material-ui/core/Typography"));

var _react = _interopRequireDefault(require("react"));

var _SchemaForm = _interopRequireDefault(require("../SchemaForm"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ResponseForm = function ResponseForm(_ref) {
  var title = _ref.title,
      schema = _ref.schema,
      formData = _ref.formData,
      onEdit = _ref.onEdit,
      pathId = _ref.pathId,
      onGoTo = _ref.onGoTo;
  return /*#__PURE__*/_react.default.createElement(_Grid.default, {
    container: true
  }, /*#__PURE__*/_react.default.createElement(_Grid.default, {
    item: true,
    xs: 12
  }, formData && /*#__PURE__*/_react.default.createElement(_Grid.default, {
    container: true,
    style: {
      flexDirection: "column"
    }
  }, /*#__PURE__*/_react.default.createElement(_AppBar.default, {
    position: "static"
  }, /*#__PURE__*/_react.default.createElement(_Toolbar.default, {
    variant: "dense"
  }, /*#__PURE__*/_react.default.createElement(_Grid.default, {
    item: true,
    sm: 6
  }, /*#__PURE__*/_react.default.createElement(_Typography.default, {
    variant: "h6"
  }, title)))), /*#__PURE__*/_react.default.createElement(_SchemaForm.default, {
    schema: schema,
    formData: formData,
    pathId: pathId,
    onChange: onEdit,
    onGoTo: onGoTo
  }))));
};

var _default = ResponseForm;
exports.default = _default;