import React from "react";
declare type NotificationType = "error" | "warning" | "info" | "success";
export interface Notification {
    type: NotificationType;
    content: string;
}
interface NotificationStore {
    notification: Notification;
    pushNotification: (type: NotificationType, content: string) => void;
}
declare const NotificationProvider: React.FC;
export default NotificationProvider;
export declare const useNotification: () => NotificationStore;
