"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _core = require("@material-ui/core");

var _materialUiJsonSchemaViewer = _interopRequireDefault(require("material-ui-json-schema-viewer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SchemaViewer = function SchemaViewer(_ref) {
  var schema = _ref.schema;
  var theme = (0, _core.createTheme)({
    palette: {
      type: "dark"
    }
  });
  return /*#__PURE__*/_react.default.createElement(_core.ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/_react.default.createElement(_materialUiJsonSchemaViewer.default, {
    schema: schema,
    references: []
  }));
};

var _default = SchemaViewer;
exports.default = _default;