import React from "react";
import { PopoverProps } from "@material-ui/core/Popover";
import { BadgeProps } from "@material-ui/core";
interface OnboardingValue {
    step: number;
    next: () => void;
    popoverProps?: PopoverProps;
    badgeProps?: BadgeProps;
    badgeVisible?: boolean;
    contentVisible?: boolean;
}
export declare const OnboardingProvider: React.FC;
export declare const useOnboarding: () => OnboardingValue;
export {};
