import React from "react";
export interface Response {
    code: string;
    status: string;
    body: any;
}
interface ResponseStore {
    responses: {
        [path: string]: {
            [method: string]: Response;
        };
    };
    setResponse: (path: string, r: {
        [method: string]: Response;
    }) => void;
}
export declare const ResponseProvider: React.FC<{}>;
export declare const useResponse: () => ResponseStore;
export {};
